petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsInsert

Inserts into the options database from the command line, the environmental variable and a file.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsInsert(PetscOptions options,int *argc,char ***args,const char file[])

### Input Parameters

| options | - options database or NULL for the default global database Many br
| argc | - count of number of command line arguments Many br
| args | - the command line arguments Many br
| file | - optional filename, defaults to ~username/.petscrc Many br

### Note

Since PetscOptionsInsert() is automatically called by PetscInitialize(), Many brthe user does not typically need to call this routine. PetscOptionsInsert() Many brcan be called several times, adding additional entries into the database. Many br

### Options Database Keys

| -options_monitor <optional filename> | - print options names and values as they are set Many br
| -options_file <filename> | - read options from a file Many br

Many br

### See Also

PetscOptionsDestroy_Private(), PetscOptionsView(), PetscOptionsInsertString(), PetscOptionsInsertFile(),
PetscInitialize() Many br

Level:advanced
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex30.c.html